%define name perl-WebFetch
%define realname WebFetch
%define version 0.10
%define release 2mdk

Name:		%{name}
Summary:	Perl module to download and save information from the Web
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Development/Perl
URL:		http://www.cpan.org
Source:		%{realname}-%{version}.tar.bz2
Requires:	perl-Locale-Codes >= 1.02, perl-Date-Calc >= 4.3, perl-Locale-Codes >= 1.02, perl-XML-Parser >= 2.29
Buildroot:	%{_tmppath}/%{name}-buildroot


%description
WebFetch is a Perl module to download and save information from the Web, and
to display on the Web.  It will download from sites such as CNet, CNN,
Freshmeat, Slashdot, LinuxToday, Yahoo, and more.  It can even export your
site's news for other sites to include in their web pages.

%prep -q
rm -rf $RPM_BUILD_ROOT

%setup -n %{realname}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
%make

%install
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes MANIFEST TODO README
#%{_prefix}/lib/perl5/site_perl/*/*/auto/WebFetch/.packlist
%{_prefix}/lib/perl5/site_perl/*/*/WebFetch/autosplit.ix
%{_prefix}/lib/perl5/site_perl/*/*/WebFetch/General/autosplit.ix
%{_prefix}/lib/perl5/site_perl/*/*/WebFetch/YahooBiz/autosplit.ix
%{_prefix}/lib/perl5/site_perl/*/*/WebFetch/CNNsearch/autosplit.ix
%{_prefix}/lib/perl5/site_perl/*/*/WebFetch/LinuxDevNet/autosplit.ix
%{_prefix}/lib/perl5/site_perl/*/*/WebFetch/CNETnews/autosplit.ix
%{_prefix}/lib/perl5/site_perl/*/*/WebFetch/LinuxTelephony/autosplit.ix
%{_prefix}/lib/perl5/site_perl/*/*/WebFetch/PerlStruct/autosplit.ix
%{_prefix}/lib/perl5/site_perl/*/*/WebFetch/ListSubs/autosplit.ix
%{_prefix}/lib/perl5/site_perl/*/*/WebFetch/32BitsOnline/autosplit.ix
%{_prefix}/lib/perl5/site_perl/*/*/WebFetch/COLA/autosplit.ix
%{_prefix}/lib/perl5/site_perl/*/*/WebFetch/Freshmeat/autosplit.ix
%{_prefix}/lib/perl5/site_perl/*/*/WebFetch/DebianNews/autosplit.ix
%{_prefix}/lib/perl5/site_perl/*/*/WebFetch/SiteNews/autosplit.ix
%{_prefix}/lib/perl5/site_perl/*/Embedding_API.pod
%{_prefix}/lib/perl5/site_perl/*/WebFetch.pm
%{_prefix}/lib/perl5/site_perl/*/WebFetch/YahooBiz.pm
%{_prefix}/lib/perl5/site_perl/*/WebFetch/CNNsearch.pm
%{_prefix}/lib/perl5/site_perl/*/WebFetch/LinuxDevNet.pm
%{_prefix}/lib/perl5/site_perl/*/WebFetch/CNETnews.pm
%{_prefix}/lib/perl5/site_perl/*/WebFetch/LinuxTelephony.pm
%{_prefix}/lib/perl5/site_perl/*/WebFetch/PerlStruct.pm
%{_prefix}/lib/perl5/site_perl/*/WebFetch/ListSubs.pm
%{_prefix}/lib/perl5/site_perl/*/WebFetch/32BitsOnline.pm
%{_prefix}/lib/perl5/site_perl/*/WebFetch/General.pm
%{_prefix}/lib/perl5/site_perl/*/WebFetch/COLA.pm
%{_prefix}/lib/perl5/site_perl/*/WebFetch/Freshmeat.pm
%{_prefix}/lib/perl5/site_perl/*/WebFetch/DebianNews.pm
%{_prefix}/lib/perl5/site_perl/*/WebFetch/LinuxToday.pm
%{_prefix}/lib/perl5/site_perl/*/WebFetch/Slashdot.pm
%{_prefix}/lib/perl5/site_perl/*/WebFetch/SiteNews.pm
%{_prefix}/lib/perl5/man/man3/WebFetch::CNNsearch.3*
%{_prefix}/lib/perl5/man/man3/WebFetch::YahooBiz.3*
%{_prefix}/lib/perl5/man/man3/WebFetch::LinuxDevNet.3*
%{_prefix}/lib/perl5/man/man3/WebFetch::CNETnews.3*
%{_prefix}/lib/perl5/man/man3/WebFetch::PerlStruct.3*
%{_prefix}/lib/perl5/man/man3/WebFetch::LinuxTelephony.3*
%{_prefix}/lib/perl5/man/man3/WebFetch::ListSubs.3*
%{_prefix}/lib/perl5/man/man3/WebFetch::32BitsOnline.3*
%{_prefix}/lib/perl5/man/man3/WebFetch::General.3*
%{_prefix}/lib/perl5/man/man3/WebFetch::Freshmeat.3*
%{_prefix}/lib/perl5/man/man3/WebFetch::COLA.3*
%{_prefix}/lib/perl5/man/man3/WebFetch::DebianNews.3*
%{_prefix}/lib/perl5/man/man3/WebFetch::LinuxToday.3*
%{_prefix}/lib/perl5/man/man3/WebFetch::SiteNews.3*
%{_prefix}/lib/perl5/man/man3/WebFetch::Slashdot.3*
%{_prefix}/lib/perl5/man/man3/Embedding_API.3*
%{_prefix}/lib/perl5/man/man3/WebFetch.3*


%changelog
* Tue Sep 12 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.10-2mdk
- macros

* Tue Jun 13 2000 Vincent Danen <vdanen@linux-mandrake.com> 0.10-1mdk
- initial specfile
- bzip sources
